Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 01 Oct 2014, 20:35
All times are UTC - 4
 Forum index » Taking the Puppy out for a walk » Announcements
Slacko Puppy 5.3.1 Released
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 16 of 19 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, 19 Next
Author Message
01micko


Joined: 11 Oct 2008
Posts: 7805
Location: qld

PostPosted: Fri 30 Dec 2011, 16:19    Post_subject:  

gulk wrote:

One more question: although I added libevent in the dependency list (i.e. +libevent), when I install the .pet in a pristine slacko (i.e. start in RAM), the .pet is installed but dependency is not... How do I force the dependency installation?
For example, if I install transmission-2.13 from the PPM, PPM would indicate the missing libs and and provide installation options.

This is a limitation of PPM. Just "clicking" on a pet doesn't check dependencies (say so in PetGet "help" too). We need to put in a feature request to BarryK as I agree that this is a shortcoming, deps are only checked when a pet is installed through the PPM interface.

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Fri 30 Dec 2011, 17:55    Post_subject:  

Understood. So the .pet I have on megaupload is ready to go; caveat is people will need to install libevent to make use of it, or transmission-2.42.pet should be added to slacko repo.
Enjoy Smile
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Fri 30 Dec 2011, 17:58    Post_subject:  

Don't you give me that clever geek talk, I ran the transmission pet and got
Code:
# transmission
transmission: error while loading shared libraries: libevent-2.0.so.5: cannot open shared object file: No such file or directory
#

. . . eh . . . now what? Could not find libevent in ppm? Embarassed

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 30 Dec 2011, 18:42    Post_subject:  

Lobster. I suppose you are good to try the version Michalis has posted. Attached here.
libevent-2.0.11-stable-i486.pet
Description 
pet

 Download 
Filename  libevent-2.0.11-stable-i486.pet 
Filesize  221.28 KB 
Downloaded  359 Time(s) 
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Fri 30 Dec 2011, 19:25    Post_subject:  

thanks pemasu, thanks guys
. . . transmission update accomplished Very Happy

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Fri 30 Dec 2011, 21:17    Post_subject:  

Lobster wrote:
Don't you give me that clever geek talk, I ran the transmission pet and got
Code:
# transmission
transmission: error while loading shared libraries: libevent-2.0.so.5: cannot open shared object file: No such file or directory
#

. . . eh . . . now what? Could not find libevent in ppm? Embarassed


Just to be clear, according to Mick, libevent should have been automatically installed IF the transmission-2.42 pet was part of PPM.
Since it is not, you'll have to install libevent by hand separately (thanks Pemasu/Michalis for the libevent pet).

Bear with me while I'm on the learning curve, and thanks for trying the transmission.pet; I am glad it worked out in the end Smile

It might also be a good time to update the wikka (http://puppylinux.org/wikka/compiling) with:
a) After strip, compressing with UPX (http://www.murga-linux.com/puppy/viewtopic.php?p=213761&search_id=471966582#213761)
b) In case the ./configure does not handle a "DESTDIR" option, paco (http://paco.sourceforge.net/) is your best friend to trace the installed files
Back to top
View user's profile Send_private_message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Fri 30 Dec 2011, 23:35    Post_subject:  

Since I'm starting to get the hang of it, I compiled a password manager app that I like because of its cross-platform capability.
The main app pet file is only 1MB (attached here).

The app runs on Qt >= 4.3; if you don't have it installed on your puppy, just run this 5.9 MB pet (will install libQtCore, libQtGui and libQtXml): http://www.megaupload.com/?d=WI7CC2Q4
keepassX-0.4.3.pet
Description 
pet

 Download 
Filename  keepassX-0.4.3.pet 
Filesize  978.94 KB 
Downloaded  276 Time(s) 
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 31 Dec 2011, 03:57    Post_subject:  

went to Firefox
http://www.mozilla.org/en-US/firefox/aurora/

downloaded and expanded FF (FireFox) file to
/usr/lib/firefox
and dragged Firefox executable to desktop
. . . FF 11 nightly build seems to be Slacko compatible alright . . . Cool

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Sat 31 Dec 2011, 11:55    Post_subject:  

Thanks for pointing this out.

I was actually wondering why Aurora was proposed when choosing Firefox in Slickpet. Aurora is the test bed for Firefox, and although it didn't give me any trouble, it is still considered a non-stable version.

I just followed Lobster's method to install the standard Firefox (v9.0.1 at the time of this writing):
1) download Firefox tarball
2) expand it
3) replace /usr/lib/firefox/ folder with the newly extracted /firefox/ folder
Back to top
View user's profile Send_private_message 
gulk


Joined: 21 Apr 2008
Posts: 86

PostPosted: Sat 31 Dec 2011, 16:31    Post_subject:  

Embarassed Spoke too soon... no matter what Firefox I install using Lobster's method, I lose flash capability. I am therefore stuck with Aurora 7.0.1 (no biggy, cause it's been stable so far).

Lobster, did you check youtube or http://www.adobe.com/software/flash/about/ to see if flash was still fonctional after your update?
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Sat 31 Dec 2011, 17:31    Post_subject:  

I am just going to stand quietly in the corner with a triangular hat with a D on it . . . Embarassed
_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
8-bit


Joined: 03 Apr 2007
Posts: 3368
Location: Oregon

PostPosted: Sat 31 Dec 2011, 20:53    Post_subject:  

For future reference, rename, do not replace a folder.
That way, you have the original to fall back to.

The other method when testing a new release is to do a backup of your slackosave file using a utility like 2bytes Hot Backup for frugal PUPS.
Then each time you add something that is in test mode, you will have a dated, with time, backup that you can use to get back to where you were before the addition of the test software.

I had just got through downloading and installing SeaMonkey 2.6 from a PET package and before I installed the pet, I renamed /usr/llib/seamonkey directory to /usr/lib/seamonkey-bak. If the installed upgrade had given any problems, I could have just removed it and renamed that directory back to its original name.
Back to top
View user's profile Send_private_message 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Thu 05 Jan 2012, 15:02    Post_subject:  

Eterm with dependencies.


http://www.eterm.org/
Eterm-0.9.6.pet
Description 
pet

 Download 
Filename  Eterm-0.9.6.pet 
Filesize  1.74 MB 
Downloaded  215 Time(s) 
imlib2-1.4.5.pet
Description 
pet

 Download 
Filename  imlib2-1.4.5.pet 
Filesize  1.31 MB 
Downloaded  235 Time(s) 
libuuid.so.1.3.0.pet
Description 
pet

 Download 
Filename  libuuid.so.1.3.0.pet 
Filesize  8.53 KB 
Downloaded  217 Time(s) 
libast-0.7.pet
Description 
pet

 Download 
Filename  libast-0.7.pet 
Filesize  481.51 KB 
Downloaded  223 Time(s) 
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Fri 06 Jan 2012, 03:52    Post_subject:  

Quote:
Eterm with dependencies.

Ay chihuahua!
Did not work for me and could not run from terminal or find eterm.
Just in case you had compiled for Saluki. I went into xfce4 and experienced (never seen this before) a white screen of death

It has now taken me almost 10 minutes to reinstall and setup Puppy to run from DVD as per usual (probably needed doing anyway) Shocked

Be interested in how others are getting on.
I think these issues may have been to do with transmission chugging away in the corner . . .

Many thanks

Linux
as tested on Puppy's

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
jpeps

Joined: 31 May 2008
Posts: 3220

PostPosted: Fri 06 Jan 2012, 04:35    Post_subject:  

Lobster wrote:
Quote:
Eterm with dependencies.

Ay chihuahua!
Did not work for me and could not run from terminal or find eterm.
Just in case you had compiled for Saluki. I went into xfce4 and experienced (never seen this before) a white screen of death

It has now taken me almost 10 minutes to reinstall and setup Puppy to run from DVD as per usual (probably needed doing anyway) Shocked

Be interested in how others are getting on.
I think these issues may have been to do with transmission chugging away in the corner . . .

Many thanks

Linux
as tested on Puppy's


I loaded it after pfix=ram, and it worked fine. I compiled in 5.3.1. I won't post a pet that clobbers any files in the original setup.

If loaded, it runs with "Eterm" & should be in /menu/Utilities
Eterm.png
 Description   
 Filesize   100.35 KB
 Viewed   1439 Time(s)

Eterm.png

Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 16 of 19 Posts_count   Goto page: Previous 1, 2, 3, ..., 14, 15, 16, 17, 18, 19 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Taking the Puppy out for a walk » Announcements
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0905s ][ Queries: 13 (0.0083s) ][ GZIP on ]